// Generated by CoffeeScript 1.6.3
var CorsSupport, winston;

winston = require('winston');

CorsSupport = (function() {
  function CorsSupport(app) {
    var options;
    options = {
      origin: '*',
      methods: 'GET, PUT, POST, PATCH, DELETE, TRACE, OPTIONS',
      headers: 'Origin, X-Requested-With, Content-Type, Accept, Authorization, Referer, Prefer'
    };
    app.all('*', function(req, res, next) {
      if (!req.get('Origin')) {
        return next();
      } else {
        res.set('Access-Control-Allow-Origin', options.origin);
        res.set('Access-Control-Allow-Methods', options.methods);
        res.set('Access-Control-Allow-Headers', options.headers);
        if ('OPTIONS' === req.method) {
          return res.send(200);
        } else {
          return next();
        }
      }
    });
    winston.info("Enabled Cross-Origin-Resource-Sharing (CORS)");
    winston.info("\tAllow-Origin: " + options.origin);
    winston.info("\tAllow-Methods: " + options.methods);
    winston.info("\tAllow-Headers: " + options.headers);
  }

  return CorsSupport;

})();

module.exports = CorsSupport;
